Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: install freenx on ubuntu 11.10

  1. #1
    Join Date
    Oct 2008
    Beans
    349

    install freenx on ubuntu 11.10

    I was not able to find the deb freenx package for 11.10

    I was try to install the 10.10 package. I got the following error:

    # apt-get install freenx
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    freenx : Depends: esound-clients but it is not installable or
    arts but it is not installable
    E: Unable to correct problems, you have held broken packages.
    any ideas how to fix it or where to find the 11.10 version.

    Thanks

  2. #2
    Join Date
    Oct 2008
    Beans
    349

    Re: install freenx on ubuntu 11.10

    Any news on that subject? I was able to compile it and have it work on 11.10, but it stopped working in the last 2 days. I do not know why. I get a cryptic connection. error.

  3. #3
    Join Date
    Apr 2008
    Beans
    8

    Re: install freenx on ubuntu 11.10

    I'm having the same issue on newly upgraded 11.10. Following the guide on installation for 11.04 doesn't work now. When running the apt-get install freenx I'm getting the same error as odror re: esound or arts, as above.

    Any help, much appreciated.

  4. #4
    Join Date
    Oct 2008
    Beans
    349

    Re: install freenx on ubuntu 11.10

    Quote Originally Posted by kylewhittington View Post
    I'm having the same issue on newly upgraded 11.10. Following the guide on installation for 11.04 doesn't work now. When running the apt-get install freenx I'm getting the same error as odror re: esound or arts, as above.

    Any help, much appreciated.
    I had to install the tar files from NO Machines web. The problem is now solved until someone fix the deb files.

  5. #5
    Join Date
    Oct 2011
    Beans
    1

    Re: install freenx on ubuntu 11.10

    can you write a little guide how to install freenx? that you can also use a unity-desktop?
    here is the only solution i found.
    thanks

  6. #6
    Join Date
    Oct 2008
    Beans
    349

    Re: install freenx on ubuntu 11.10

    Quote Originally Posted by snaky View Post
    can you write a little guide how to install freenx? that you can also use a unity-desktop?
    here is the only solution i found.
    thanks
    Using the tar files is self explanatory. I was not able to use with freenx unity or gnome3. only kde is working for me.I have not used kde in years since version 3.x. Now kde is the most stable desktop in ubuntu. Even without freenx. On my server at home neither Unity nor gnome3 are stable. I had to switch to kde.

  7. #7
    Join Date
    Oct 2009
    Location
    Jakarta
    Beans
    14
    Distro
    Ubuntu

    Re: install freenx on ubuntu 11.10

    The best instructions I have seen are
    http://notepad2.blogspot.com/2011/05...untu-1004.html

    and I verified they work for 11.04
    However, on 11.10 I get the same problem as everyone else.

    Installing from NoMachine is not an option for us because they limit the number of simultaneous logins to 2

    Can someone please fix the deb files or let us know how to work around the broken packages?

    Thanks
    Ole Nielsen

  8. #8
    Join Date
    May 2011
    Beans
    8

    Talking Re: install freenx on ubuntu 11.10 [SOLVED]

    Quote Originally Posted by uniomni View Post
    The best instructions I have seen are
    http://notepad2.blogspot.com/2011/05...untu-1004.html

    and I verified they work for 11.04
    However, on 11.10 I get the same problem as everyone else.

    Installing from NoMachine is not an option for us because they limit the number of simultaneous logins to 2

    Can someone please fix the deb files or let us know how to work around the broken packages?

    Thanks
    Ole Nielsen
    I solved!
    The procedure is very twisted to 11.10 of ubuntu, then:
    => Need to install the 'arts' package as I searched the internet:
    'debian arts' (install the latest version)
    => But in order to install arts, it was necessary to first install the other 2 libraries
    I do not remember the exact name but it began with 'libart',

    Once you managed to install the arts, you can proceed with the installation of freenx

    However freeenx works badly with unity, I had to install kde4.

  9. #9
    Join Date
    Nov 2011
    Beans
    1

    Re: install freenx on ubuntu 11.10

    Hello,
    Anyone has solved the installation problem with FreeNX? If so, it is possible a step-by-step help? I wish avoid the passage to NX-server free and leave it as last chance.
    THX!!!

  10. #10
    Join Date
    Nov 2011
    Beans
    1

    Re: install freenx on ubuntu 11.10

    After this steps on Ubuntu Server 10.11 (without KDE/Gnome) I can open a terminal-session with 'NX Client for Windows v3.5.0-7'.

    ~$ sudo apt-get install python-software-properties


    ~$ sudo add-apt-repository ppa:freenx-team

    ~$ sudo sed -i 's/oneiric/lucid/g' /etc/apt/sources.list.d/freenx-team-ppa-oneiric.list

    ~$ sudo apt-get update && sudo apt-get upgrade

    ~$ wget http://de.archive.ubuntu.com/ubuntu/...2.41-8_all.deb
    ~$ sudo dpkg -i esound-common_0.2.41-8_all.deb

    ~$ wget http://de.archive.ubuntu.com/ubuntu/...41-8_amd64.deb
    ~$ sudo dpkg -i libesd0_0.2.41-8_amd64.deb

    # error in previous line
    ~$ sudo apt-get -f install

    # repeat
    ~$ sudo dpkg -i esound-common_0.2.41-8_all.deb

    ~$ sudo dpkg -i libesd0_0.2.41-8_amd64.deb

    ~$ wget http://de.archive.ubuntu.com/ubuntu/...41-8_amd64.deb
    ~$ sudo dpkg -i esound-clients_0.2.41-8_amd64.deb

    ~$ sudo apt-get install freenx

    I'm not Linux-Guru an I don't write good english, but I hop this is helpful.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •